Bug 84314 - [New port] www/xshttpd
[New port] www/xshttpd
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-29 18:30 UTC by ed
Modified: 2005-09-16 00:05 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ed 2005-07-29 18:30:12 UTC
XS-HTTPD is a small, high performance webserver which has SSL support and the ability to run CGI's under a specific user id. It isn't in the ports tree, but it has stabilized very well over the years.

Fix: 

A port is available at:

http://g-rave.nl/files/ports/www-xshttpd.tar.gz
How-To-Repeat: Run `cd /usr/ports/*/xs*httpd/`. You'll get an error.
Comment 1 ed 2005-08-06 21:28:04 UTC
Hello,

I just bumped the port to 3.3 beta 23. This release fixes some bugs
related to file permissions when installing and parsing the mime.types
file.

Yours,
-- 
 Ed Schouten <ed@fxq.nl>
Comment 2 ed 2005-08-17 23:20:17 UTC
* Ed Schouten <ed@fxq.nl> wrote:
> I just bumped the port to 3.3 beta 23. This release fixes some bugs


Make that beta 25. The plist has been updated because of some directory
changes in beta 24. It also accepts that certain directories may not be
empty (htdocs, logs, cgi-bin).

Please notice that Johan van Selst (the author of XS-HTTPD) will take
maintainership of the port when (or if) this port would make it into the
tree. That's why I already changed the email address in the port.

Yours,
-- 
 Ed Schouten <ed@fxq.nl>
Comment 3 Sergey Matveychuk freebsd_committer 2005-09-04 20:11:20 UTC
Hello!

Use devel/portlint with -A option to check the port please.

--
Sem.
Comment 4 ed 2005-09-04 21:40:20 UTC
* Sergey Matveychuk <sem@FreeBSD.org> wrote:
> Use devel/portlint with -A option to check the port please.


Woops - it looked kind of faulty... I've uploaded an updated version.
Sorry about the mess.

Yours,
-- 
 Ed Schouten <ed@fxq.nl>
Comment 5 pav freebsd_committer 2005-09-16 00:05:18 UTC
State Changed
From-To: open->closed

New port added, thank you!